unit GLViewVolume;

interface

uses
    GL,
    GLU;

type
    TViewVolume=class
                     private
                     fFOV,
                     fHither,
                     fYon:double;
                     fX,fY,
                     fWidth,
                     fHeight:integer;
                     public
                     constructor Create;
                     procedure SetMatrix;
                     property FOV:double
                              read fFOV
                              write fFOV;
                     property Hither:double
                              read fHither
                              write fHither;
                     property Yon:double
                              read fYon
                              write fYon;
                     property X:integer
                              read fX
                              write fX;
                     property Y:integer
                              read fY
                              write fY;
                     property Width:integer
                              read fWidth
                              write fWidth;
                     property Height:integer
                              read fHeight
                              write fHeight;

    end;

implementation

constructor TViewVolume.Create;
begin
     fFOV:=30;
     fHither:=1;
     fYon:=100;
end;
procedure TViewVolume.SetMatrix;
var
   aspect:single;
begin
     glMatrixMode(GL_PROJECTION);
     glLoadIdentity;
     aspect:=fWidth/fHeight;
     gluPerspective(fFOV,aspect,fHither,fYon);
     glViewport(fX,fY,fWidth,fHeight);
end;

end.
